OmniHTTPd test.php Cross-Site Scripting Issue

2002-08-26T00:00:00
ID SECURITYVULNS:DOC:3429
Type securityvulns
Reporter Securityvulns
Modified 2002-08-26T00:00:00

Description

A vulnerability exists in the test.php script of OmniHTTPd. The script makes a classic coding error -- trusting unsanitized user input. The query string and cookie values are returned unfiltered. Of most concern, of course, is the query string:

http://localhost/test.php?%3CSCRIPT%3Ealert%28document.URL%29%3C%2FSCRIPT%3E =x

The impact of this vulnerability will vary by site. A production site would most likely not have the sample scripts installed, but it would be wise to check.

"The reason the mainstream is thought of as a stream is because it is so shallow." - Author Unknown